Moneybird logo
Moneybird API

Products are the goods or services you sell. You can add them to invoices and estimates.


Returns information about a product based on the identifier

GET
https://moneybird.com/api/v2
/{administration_id}/products/identifier/{identifier}{format}

Finds the product by the identifier field of the product.

Required scope(s)

settings

Returns information about a product based on the identifier › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

identifier
​string · required
format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Returns information about a product based on the identifier › Responses

A product

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

description
​string | null
title
​string | null
identifier
​string | null
price
​string
currency
​string
frequency
​integer | null
frequency_type
​string | null · enum
Enum values:
day
week
month
quarter
year
tax_rate_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

ledger_account_id
​identifier · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

POST
https://moneybird.com/api/v2
/{administration_id}/products/{id}/sales_link{format}

This call generates an online sales link, and allows pre-setting the contact for a checkout page. The link is valid for one hour

Required scope(s)

settings

Create online sales link › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Create online sales link › query Parameters

contact_id
​identifier · pattern: ^\d+$

A unique record identifier

Create online sales link › Responses

A sales link

string

Returns information about a product

GET
https://moneybird.com/api/v2
/{administration_id}/products/{id}{format}

Returns information about a product.

Required scope(s)

settings

Returns information about a product › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Returns information about a product › Responses

A product

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

description
​string | null
title
​string | null
identifier
​string | null
price
​string
currency
​string
frequency
​integer | null
frequency_type
​string | null · enum
Enum values:
day
week
month
quarter
year
tax_rate_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

ledger_account_id
​identifier · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Deletes a product

DELETE
https://moneybird.com/api/v2
/{administration_id}/products/{id}{format}

Deletes a product if it has no dependencies. If the product has associated details, subscription products, orders, or subscription templates, deletion is blocked and the product will be deactivated instead. If the product has active subscriptions or subscription templates, deactivation is blocked and an error is returned.

Required scope(s)

settings

Deletes a product › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Deletes a product › Responses

Product deleted

No data returned

Updates a product

PATCH
https://moneybird.com/api/v2
/{administration_id}/products/{id}{format}

Updates a product.

Required scope(s)

settings

Updates a product › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates a product › Request Body

​object

Updates a product › Responses

Product updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

description
​string | null
title
​string | null
identifier
​string | null
price
​string
currency
​string
frequency
​integer | null
frequency_type
​string | null · enum
Enum values:
day
week
month
quarter
year
tax_rate_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

ledger_account_id
​identifier · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

List all products of an administration

GET
https://moneybird.com/api/v2
/{administration_id}/products{format}

Returns a paginated list of products in the administration. Each page contains 10 products. You can use the page parameter to fetch the next page of products.

Required scope(s)

settings

List all products of an administration › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all products of an administration › query Parameters

query
​string

Free-text search across the product description, title and identifier.

page
​integer | string

The page to fetch, starting at 1.

per_page
​integer | string · min: 1 · max: 100 · pattern: ^\d+$
currency
​string

ISO three-character currency code, e.g. EUR or USD.

active
​boolean | string

When true, only active products are returned. Set to false to include deactivated products.

Default: true
for_checkout
​boolean | string

When true, returns only products with online checkout enabled. When false, returns only products without checkout. Omit to include both.

ledger_account_id
​identifier · pattern: ^\d+$

Filters products by their associated ledger account.

List all products of an administration › Responses

A list of products

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

description
​string | null
title
​string | null
identifier
​string | null
price
​string
currency
​string
frequency
​integer | null
frequency_type
​string | null · enum
Enum values:
day
week
month
quarter
year
tax_rate_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

ledger_account_id
​identifier · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Creates a new product

POST
https://moneybird.com/api/v2
/{administration_id}/products{format}

Creates a new product.

Required scope(s)

settings

Creates a new product › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates a new product › Request Body

​object

Creates a new product › Responses

Product created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

description
​string | null
title
​string | null
identifier
​string | null
price
​string
currency
​string
frequency
​integer | null
frequency_type
​string | null · enum
Enum values:
day
week
month
quarter
year
tax_rate_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

ledger_account_id
​identifier · pattern: ^\d+$

A unique record identifier

created_at
​timestamp · date-time
updated_at
​timestamp · date-time